## fish 2.7.1

=== pcre2-10.22/CMakeLists.txt ===
# CMakeLists.txt
#
#
# This file enables PCRE2 to be built with the CMake configuration and build
# tool. Download CMake in source or binary form from http://www.cmake.org/
# Converted to support PCRE2 from the original PCRE file, August 2014.
#
# Original listfile by Christian Ehrlicher <Ch.Ehrlicher@gmx.de>
# Refined and expanded by Daniel Richard G. <skunk@iSKUNK.ORG>
# 2007-09-14 mod by Sheri so 7.4 supported configuration options can be entered
# 2007-09-19 Adjusted by PH to retain previous default settings
# 2007-12-26 (a) On UNIX, use names libpcre instead of just pcre
#            (b) Ensure pcretest and pcregrep link with the local library,
#                not a previously-installed one.
#            (c) Add PCRE_SUPPORT_LIBREADLINE, PCRE_SUPPORT_LIBZ, and
#                PCRE_SUPPORT_LIBBZ2.
# 2008-01-20 Brought up to date to include several new features by Christian
#            Ehrlicher.
# 2008-01-22 Sheri added options for backward compatibility of library names
#            when building with minGW:
#            if "ON", NON_STANDARD_LIB_PREFIX causes shared libraries to
#            be built without "lib" as prefix. (The libraries will be named
#            pcre.dll, pcreposix.dll and pcrecpp.dll).
#            if "ON", NON_STANDARD_LIB_SUFFIX causes shared libraries to
#            be built with suffix of "-0.dll". (The libraries will be named
#            libpcre-0.dll, libpcreposix-0.dll and libpcrecpp-0.dll - same names
#            built by default with Configure and Make.
# 2008-01-23 PH removed the automatic build of pcredemo.
# 2008-04-22 PH modified READLINE support so it finds NCURSES when needed.
# 2008-07-03 PH updated for revised UCP property support (change of files)
# 2009-03-23 PH applied Steven Van Ingelgem's patch to change the name
#            CMAKE_BINARY_DIR to PROJECT_BINARY_DIR so that it works when PCRE
#            is included within another project.
# 2009-03-23 PH applied a modified version of Steven Van Ingelgem's patches to
#            add options to stop the building of pcregrep and the tests, and
#            to disable the final configuration report.
# 2009-04-11 PH applied Christian Ehrlicher's patch to show compiler flags that
#            are set by specifying a release type.
# 2010-01-02 PH added test for stdint.h
# 2010-03-02 PH added test for inttypes.h
# 2011-08-01 PH added PCREGREP_BUFSIZE
# 2011-08-22 PH added PCRE_SUPPORT_JIT
# 2011-09-06 PH modified WIN32 ADD_TEST line as suggested by Sergey Cherepanov
# 2011-09-06 PH added PCRE_SUPPORT_PCREGREP_JIT
# 2011-10-04 Sheri added support for including coff data in windows shared libraries
#            compiled with MINGW if pcre.rc and/or pcreposix.rc are placed in
#            the source dir by the user prior to building
# 2011-10-04 Sheri changed various add_test's to use exes' location built instead
#            of DEBUG location only (likely only matters in MSVC)
# 2011-10-04 Sheri added scripts to provide needed variables to RunTest and
#            RunGrepTest (used for UNIX and Msys)
# 2011-10-04 Sheri added scripts to provide needed variables and to execute
#            RunTest.bat in Win32 (for effortless testing with "make test")
# 2011-10-04 Sheri Increased minimum required cmake version
# 2012-01-06 PH removed pcre_info.c and added pcre_string_utils.c
# 2012-01-10 Zoltan Herczeg added libpcre16 support
# 2012-01-13 Stephen Kelly added out of source build support
# 2012-01-17 PH applied Stephen Kelly's patch to parse the version data out
#            of the configure.ac file
# 2012-02-26 PH added support for libedit
# 2012-09-06 PH added support for PCRE_EBCDIC_NL25
# 2012-09-08 ChPe added PCRE32 support
# 2012-10-23 PH added support for VALGRIND and GCOV
# 2012-12-08 PH added patch from Daniel Richard G to quash some MSVC warnings
# 2013-07-01 PH realized that the "support" for GCOV was a total nonsense and
#            so it has been removed.
# 2013-10-08 PH got rid of the "source" command, which is a bash-ism (use ".")
# 2013-11-05 PH added support for PARENS_NEST_LIMIT
# 2014-08-29 PH converted the file for PCRE2 (which has no C++).
# 2015-04-24 PH added support for PCRE2_DEBUG
# 2015-07-16 PH updated for new pcre2_find_bracket source module
# 2015-08-24 PH correct C_FLAGS setting (patch from Roy Ivy III)
# 2015-10=16 PH added support for never-backslash-C
# 2016-03-01 PH applied Chris Wilson's patch for MSVC static
# 2016-06-24 PH applied Chris Wilson's second patch, putting the first under
#            a new option instead of being unconditional.

PROJECT(PCRE2 C)

# Increased minimum to 2.8.0 to support newer add_test features. Set policy
# CMP0026 to avoid warnings for the use of LOCATION in GET_TARGET_PROPERTY.

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.0)
CMAKE_POLICY(SET CMP0026 OLD)

SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake) # for FindReadline.cmake

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -I${PROJECT_SOURCE_DIR}/src")

# external packages
FIND_PACKAGE( BZip2 )
FIND_PACKAGE( ZLIB )
FIND_PACKAGE( Readline )
FIND_PACKAGE( Editline )

# Configuration checks

INCLUDE(CheckIncludeFile)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckTypeSize)

CHECK_INCLUDE_FILE(dirent.h     HAVE_DIRENT_H)
CHECK_INCLUDE_FILE(stdint.h     HAVE_STDINT_H)
CHECK_INCLUDE_FILE(inttypes.h   HAVE_INTTYPES_H)
CHECK_INCLUDE_FILE(sys/stat.h   HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILE(sys/types.h  HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILE(unistd.h     HAVE_UNISTD_H)
CHECK_INCLUDE_FILE(windows.h    HAVE_WINDOWS_H)

CHECK_FUNCTION_EXISTS(bcopy     HAVE_BCOPY)
CHECK_FUNCTION_EXISTS(memmove   HAVE_MEMMOVE)
CHECK_FUNCTION_EXISTS(strerror  HAVE_STRERROR)

# User-configurable options
#
# Note: CMakeSetup displays these in alphabetical order, regardless of
# the order we use here.

SET(BUILD_SHARED_LIBS OFF CACHE BOOL
    "Build shared libraries instead of static ones.")

OPTION(PCRE2_BUILD_PCRE2_8 "Build 8 bit PCRE2 library" ON)

OPTION(PCRE2_BUILD_PCRE2_16 "Build 16 bit PCRE2 library" OFF)

OPTION(PCRE2_BUILD_PCRE2_32 "Build 32 bit PCRE2 library" OFF)

OPTION(PCRE2_DEBUG "Include debugging code" OFF)

SET(PCRE2_EBCDIC OFF CACHE BOOL
    "Use EBCDIC coding instead of ASCII. (This is rarely used outside of mainframe systems.)")

SET(PCRE2_EBCDIC_NL25 OFF CACHE BOOL
    "Use 0x25 as EBCDIC NL character instead of 0x15; implies EBCDIC.")

SET(PCRE2_LINK_SIZE "2" CACHE STRING
    "Internal link size (2, 3 or 4 allowed). See LINK_SIZE in config.h.in for details.")

SET(PCRE2_PARENS_NEST_LIMIT "250" CACHE STRING
    "Default nested parentheses limit. See PARENS_NEST_LIMIT in config.h.in for details.")

SET(PCRE2_MATCH_LIMIT "10000000" CACHE STRING
    "Default limit on internal looping. See MATCH_LIMIT in config.h.in for details.")

SET(PCRE2_MATCH_LIMIT_RECURSION "MATCH_LIMIT" CACHE STRING
    "Default limit on internal recursion. See MATCH_LIMIT_RECURSION in config.h.in for details.")

SET(PCRE2GREP_BUFSIZE "20480" CACHE STRING
    "Buffer size parameter for pcre2grep. See PCRE2GREP_BUFSIZE in config.h.in for details.")

SET(PCRE2_NEWLINE "LF" CACHE STRING
    "What to recognize as a newline (one of CR, LF, CRLF, ANY, ANYCRLF).")

SET(PCRE2_HEAP_MATCH_RECURSE OFF CACHE BOOL
    "If ON, then don't use stack recursion when matching. See HEAP_MATCH_RECURSE in config.h.in for details.")

SET(PCRE2_SUPPORT_JIT OFF CACHE BOOL
    "Enable support for Just-in-time compiling.")

SET(PCRE2_SUPPORT_PCRE2GREP_JIT ON CACHE BOOL
    "Enable use of Just-in-time compiling in pcre2grep.")

SET(PCRE2_SUPPORT_PCRE2GREP_CALLOUT ON CACHE BOOL
    "Enable callout string support in pcre2grep.")

SET(PCRE2_SUPPORT_UNICODE ON CACHE BOOL
    "Enable support for Unicode and UTF-8/UTF-16/UTF-32 encoding.")

SET(PCRE2_SUPPORT_BSR_ANYCRLF OFF CACHE BOOL
    "ON=Backslash-R matches only LF CR and CRLF, OFF=Backslash-R matches all Unicode Linebreaks")

SET(PCRE2_NEVER_BACKSLASH_C OFF CACHE BOOL
    "If ON, backslash-C (upper case C) is locked out.")

SET(PCRE2_SUPPORT_VALGRIND OFF CACHE BOOL
    "Enable Valgrind support.")

OPTION(PCRE2_SHOW_REPORT     "Show the final configuration report" ON)
OPTION(PCRE2_BUILD_PCRE2GREP "Build pcre2grep" ON)
OPTION(PCRE2_BUILD_TESTS     "Build the tests" ON)

IF (MINGW)
  OPTION(NON_STANDARD_LIB_PREFIX
         "ON=Shared libraries built in mingw will be named pcre2.dll, etc., instead of libpcre2.dll, etc."
         OFF)

  OPTION(NON_STANDARD_LIB_SUFFIX
         "ON=Shared libraries built in mingw will be named libpcre2-0.dll, etc., instead of libpcre2.dll, etc."
         OFF)
ENDIF(MINGW)

IF(MSVC)
  OPTION(PCRE_STATIC_RUNTIME OFF CACHE BOOL
	"ON=Compile against the static runtime (/MT)."
	OFF)
  OPTION(INSTALL_MSVC_PDB
         "ON=Install .pdb files built by MSVC, if generated"
         OFF)
ENDIF(MSVC)

# bzip2 lib
IF(BZIP2_FOUND)
  OPTION (PCRE2_SUPPORT_LIBBZ2 "Enable support for linking pcre2grep with libbz2." ON)
ENDIF(BZIP2_FOUND)
IF(PCRE2_SUPPORT_LIBBZ2)
  INCLUDE_DIRECTORIES(${BZIP2_INCLUDE_DIR})
ENDIF(PCRE2_SUPPORT_LIBBZ2)

# zlib
IF(ZLIB_FOUND)
  OPTION (PCRE2_SUPPORT_LIBZ "Enable support for linking pcre2grep with libz." ON)
ENDIF(ZLIB_FOUND)
IF(PCRE2_SUPPORT_LIBZ)
  INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
ENDIF(PCRE2_SUPPORT_LIBZ)

# editline lib
IF(EDITLINE_FOUND)
  OPTION (PCRE2_SUPPORT_LIBEDIT  "Enable support for linking pcre2test with libedit." OFF)
ENDIF(EDITLINE_FOUND)
IF(PCRE2_SUPPORT_LIBEDIT)
  INCLUDE_DIRECTORIES(${EDITLINE_INCLUDE_DIR})
ENDIF(PCRE2_SUPPORT_LIBEDIT)

# readline lib
IF(READLINE_FOUND)
  OPTION (PCRE2_SUPPORT_LIBREADLINE  "Enable support for linking pcre2test with libreadline." ON)
ENDIF(READLINE_FOUND)
IF(PCRE2_SUPPORT_LIBREADLINE)
  INCLUDE_DIRECTORIES(${READLINE_INCLUDE_DIR})
ENDIF(PCRE2_SUPPORT_LIBREADLINE)

# Prepare build configuration

IF(NOT BUILD_SHARED_LIBS)
        SET(PCRE2_STATIC 1)
ENDIF(NOT BUILD_SHARED_LIBS)

IF(NOT PCRE2_BUILD_PCRE2_8 AND NOT PCRE2_BUILD_PCRE2_16 AND NOT PCRE2_BUILD_PCRE2_32)
        MESSAGE(FATAL_ERROR "At least one of PCRE2_BUILD_PCRE2_8, PCRE2_BUILD_PCRE2_16 or PCRE2_BUILD_PCRE2_32 must be enabled")
ENDIF(NOT PCRE2_BUILD_PCRE2_8 AND NOT PCRE2_BUILD_PCRE2_16 AND NOT PCRE2_BUILD_PCRE2_32)

IF(PCRE2_BUILD_PCRE2_8)
        SET(SUPPORT_PCRE2_8 1)
ENDIF(PCRE2_BUILD_PCRE2_8)

IF(PCRE2_BUILD_PCRE2_16)
        SET(SUPPORT_PCRE2_16 1)
ENDIF(PCRE2_BUILD_PCRE2_16)

IF(PCRE2_BUILD_PCRE2_32)
        SET(SUPPORT_PCRE2_32 1)
ENDIF(PCRE2_BUILD_PCRE2_32)

IF(PCRE2_BUILD_PCRE2GREP AND NOT PCRE2_BUILD_PCRE2_8)
        MESSAGE(STATUS "** PCRE2_BUILD_PCRE2_8 must be enabled for the pcre2grep program")
        SET(PCRE2_BUILD_PCRE2GREP OFF)
ENDIF(PCRE2_BUILD_PCRE2GREP AND NOT PCRE2_BUILD_PCRE2_8)

IF(PCRE2_SUPPORT_LIBREADLINE AND PCRE2_SUPPORT_LIBEDIT)
        MESSAGE(FATAL_ERROR "Only one of libreadline or libeditline can be specified")
ENDIF(PCRE2_SUPPORT_LIBREADLINE AND PCRE2_SUPPORT_LIBEDIT)

IF(PCRE2_SUPPORT_BSR_ANYCRLF)
        SET(BSR_ANYCRLF 1)
ENDIF(PCRE2_SUPPORT_BSR_ANYCRLF)

IF(PCRE2_NEVER_BACKSLASH_C)
        SET(NEVER_BACKSLASH_C 1)
ENDIF(PCRE2_NEVER_BACKSLASH_C)

IF(PCRE2_SUPPORT_UNICODE)
        SET(SUPPORT_UNICODE 1)
ENDIF(PCRE2_SUPPORT_UNICODE)

IF(PCRE2_SUPPORT_JIT)
        SET(SUPPORT_JIT 1)
ENDIF(PCRE2_SUPPORT_JIT)

IF(PCRE2_SUPPORT_PCRE2GREP_JIT)
        SET(SUPPORT_PCRE2GREP_JIT 1)
ENDIF(PCRE2_SUPPORT_PCRE2GREP_JIT)

IF(PCRE2_SUPPORT_PCRE2GREP_CALLOUT)
        SET(SUPPORT_PCRE2GREP_CALLOUT 1)
ENDIF(PCRE2_SUPPORT_PCRE2GREP_CALLOUT)

IF(PCRE2_SUPPORT_VALGRIND)
        SET(SUPPORT_VALGRIND 1)
ENDIF(PCRE2_SUPPORT_VALGRIND)

# This next one used to reference ${READLINE_LIBRARY})
# but I was advised to add the NCURSES test as well, along with
# some modifications to cmake/FindReadline.cmake which should
# make it possible to override the default if necessary. PH

IF(PCRE2_SUPPORT_LIBREADLINE)
        SET(SUPPORT_LIBREADLINE 1)
        SET(PCRE2TEST_LIBS ${READLINE_LIBRARY} ${NCURSES_LIBRARY})
ENDIF(PCRE2_SUPPORT_LIBREADLINE)

# libedit is a plug-compatible alternative to libreadline

IF(PCRE2_SUPPORT_LIBEDIT)

## fish 2.2.0

=== debian/changelog ===
fish (2.2.0-3) unstable; urgency=medium

  * Backport upstream patch for history permissions handling
    (closes: #804092).

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 16 Dec 2015 18:00:12 +0200

fish (2.2.0-2) unstable; urgency=medium

  * Fix botched maintainer scripts, and simplify by using .maintscript
    files; this restores the add-shell/remove-shell functionality so fish
    should once again be added to /etc/shells (closes: #793822).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 02 Aug 2015 09:23:53 +0200

fish (2.2.0-1) unstable; urgency=medium

  * Add Pre-Depends for dpkg-maintscript-helper symlink_to_dir command
    (closes: #792658).
  * New upstream release.
    - fishd has been removed upstream (closes: #788056).
    - Deprecated GREP_* environment variables are no longer used
      (closes: #791686).
    - jQuery is no longer included in the upstream tarball, so no need to
      repack (Angular is used in its place, but it is an unminified copy).
    - sys_errlist is no longer used if unavailable (closes: #771052).
    - Refresh patches to apply cleanly again.
  * Apply patch from Chris Lamb to avoid locale-specific ordering
    (closes: #791648).

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 18 Jul 2015 21:53:03 +0200

fish (2.1.2+dfsg1-2) unstable; urgency=medium

  * libjs-jquery dependency belongs more properly in fish-common.
  * Fix replacement of /usr/doc symlinks with real directories
    (closes: #788162).

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 09 Jun 2015 08:51:44 +0200

fish (2.1.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Normalized versioning scheme.
  * Update debian/copyright, and switch to machine-readable format.
    - Files-Excluded is now used for rebuilding the upstream tarball.
  * Remove obsolete Suggests: menu (closes: #647367).

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 29 Apr 2015 18:59:59 +0200

fish (2.1.1.dfsg-3) unstable; urgency=low

  * Adopting, set myself as maintainer (closes: #771785).
  * Switch to dh sequencer (closes: #770973).
  * Various general package cleanups / fixes.
    - Bump Standards-Version.
    - Update debian/watch.
    - Update Vcs-* fields.
  * Add Python to Recommends as various helper tools require it.
    - Also update the scripts to use system Python instead of env.
  * Move arch-indep files to fish-common package.
  * Allow parallel building in debian/rules.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 13 Dec 2014 03:56:19 +0200

fish (2.1.1.dfsg-2) unstable; urgency=medium

  * Orphaning.

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 01 Dec 2014 14:15:32 -0200

fish (2.1.1.dfsg-1) unstable; urgency=medium

  * Remove jQuery file from upstream tarball

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 26 Nov 2014 20:13:12 -0200

fish (2.1.1-1) unstable; urgency=medium

  * New upstream release
  - includes fixes for the following security issues (Closes: #746259):
    + CVE-2014-2905
    + CVE-2014-2906
    + CVE-2014-2914
    + CVE-2014-3219
    + CVE-2014-3856

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 24 Nov 2014 14:09:15 -0200

fish (2.1.0-1) unstable; urgency=medium

  * New upstream release
  - tarball mangled to not include minified jQuery (Closes: #744696)
  * debian/control, debian/fish.links:
  - depend on libjs-jquery
  - link the minified jquery to where the original minified jQuery
    got installed to
  * debian/patches/01_fix-doc-typo.patch:
  - removed, applied upstream

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 10 May 2014 11:11:39 -0300

fish (2.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/patches/01_fix-doc-typo.patch:
  - removed; applied upstream
  * debian/rules:
  - README is now README.md

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 11 Jul 2013 23:36:28 -0300

fish (1.23.1+20120106.git8b407a3-1) unstable; urgency=low

  * New upstream snapshot
  - No longer able to reproduce crash when calling funcsave with no
    arguments (Closes: #547781)
  - No longer able to reproduce schroot being STOPed when quitting it
    from a in-chroot fish shell (Closes: #517099)
  * Fix home page URL. Thanks to Patrik Lembke <blambi@chebab.com> for
    noticing and letting me know. (Closes: #653246)
  * debian/patches/fixes/fish_greeting.diff,
    debian/patches/fixes/spelling.diff:
  - removed; applied upstream
  * debian/control, debian/rules:
  - call autoreconf to generate the configure script, and Makefile.in
    files
  * debian/rules:
  - ChangeLog does not exist anymore
  * debian/patches/01_fix-doc-typo.patch:
  - Fix documentation typo, thanks weakish <weakish@gmail.com>
    for noticing and letting us know (Closes: #613975)

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 08 Jan 2012 18:32:48 -0200

fish (1.23.1-2) unstable; urgency=low

  * New maintainer (Closes: #518793)

  [ Adrien <alfredp@laposte.net> ]
  * debian/patches/features/000_apt-cache-completion.patch:
  - add apt-cache completion support (Closes: #518512)

  [ Gustavo Noronha Silva ]
  * debian/control:
  - updated Standards-Version with no changes
  - change fish-dbg's section to debug

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 12 Apr 2009 21:39:33 -0300

fish (1.23.1-1) unstable; urgency=low

  * Orphaning the packages.  Maintainer set to QA group.
  * New upstream release
    - Fix cd function to handle empty variables correctly. (Closes: #517106)
    - Pressing Control-C (or otherwise changeing the command line content
      through the commandline builtin) should clear the search buffer.
      (Closes: #517104)
  * Remove fixes/mimedb-hang.diff, merged upstream.
  * Remove features/ssh-host-completion, merged upstream.
  * Refresh fixes/spelling and fixes/fish_greeting.
  * debian/rules:
    - Remove config.* in clean and copy the system files in configure-stamp.
    - Specify --docdir when calling configure so documentation is installed to
      the proper directory.



=== debian/control ===
Source: fish
Section: shells
Priority: optional
Maintainer: Tristan Seligmann <mithrandi@debian.org>
Build-Depends: autoconf,
 automake,
 debhelper (>= 9),
 libncurses5-dev,
 bsdmainutils,
 bc,
 autotools-dev,
 gettext,
 groff-base,
 doxygen,
 quilt,
 dh-autoreconf,
Standards-Version: 3.9.6
Homepage: http://fishshell.com/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fish.git
Vcs-Git: git://anonscm.debian.org/collab-maint/fish

Package: fish
Architecture: any
Depends: fish-common (= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
 bc,
 lynx | www-browser,
Recommends: xsel
Suggests: doc-base
Pre-Depends: dpkg (>= 1.17.14)
Description: friendly interactive shell
 Fish is a shell geared towards interactive use.  Its features are focused on
 user friendliness and discoverability.  The language syntax is simple but
 incompatible with other shell languages.

Package: fish-common
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Recommends: fish, python (>= 2.7)
Replaces: fish (<= 2.1.1.dfsg-2)
Description: friendly interactive shell (architecture-independent files)
 Fish is a shell geared towards interactive use.  Its features are focused on
 user friendliness and discoverability.  The language syntax is simple but
 incompatible with other shell languages.
 .
 This package contains the common fish files shared by all architectures.

Package: fish-dbg
Section: debug
Architecture: any
Priority: extra
Depends: fish (= ${binary:Version}), ${misc:Depends}
Pre-Depends: dpkg (>= 1.17.14)
Description: friendly interactive shell (debugging symbols)
 Fish is a shell geared towards interactive use.  Its features are focused on
 user friendliness and discoverability.  The language syntax is simple but
 incompatible with other shell languages.
 .
 This package contains gdb debugging symbols for the fish package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with autotools-dev,autoreconf --parallel

override_dh_strip:
	dh_strip --dbg-package=fish-dbg

# Don't run tests; they don't work until fish is installed
override_dh_auto_test:

# The upstream CHANGELOG file is useless, don't install it
override_dh_installchangelogs:
	dh_installchangelogs -XCHANGELOG

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
http://fishshell.com/ \
(?:|.*/)fish(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## fish 2.3.0

=== debian/changelog ===
fish (2.3.0-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Drop history-permissions-871a208.patch (was taken from upstream).
  * Bump Standards-Version to 3.9.8 (no changes).
  * Update Vcs-* to use https.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 22 May 2016 09:53:18 +0200

## fish 2.3.1

=== debian/changelog ===
fish (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch debian/watch over to GitHub and check PGP signature
    (closes: #829760).

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 07 Jul 2016 03:34:20 +0200

## fish 2.4.0

=== debian/changelog ===
fish (2.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 11 Dec 2016 04:26:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,30 +2,33 @@
 Section: shells
 Priority: optional
 Maintainer: Tristan Seligmann <mithrandi@debian.org>
-Build-Depends: autoconf,
+Build-Depends:
+ autoconf,
  automake,
+ autotools-dev,
+ bc,
+ bsdmainutils,
  debhelper (>= 9),
- libncurses5-dev,
- bsdmainutils,
- bc,
- autotools-dev,
+ dh-autoreconf,
+ doxygen,
  gettext,
  groff-base,
- doxygen,
+ libncurses5-dev,
+ libpcre2-dev,
  quilt,
- dh-autoreconf,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://fishshell.com/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fish.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/fish
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/fish.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/fish.git
 
 Package: fish
 Architecture: any
-Depends: fish-common (= ${source:Version}),
+Depends:
+ bc,
+ fish-common (= ${source:Version}),
+ lynx | www-browser,
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- bc,
- lynx | www-browser,
 Recommends: xsel
 Suggests: doc-base
 Pre-Depends: dpkg (>= 1.17.14)
@@ -36,8 +39,8 @@
 
 Package: fish-common
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery
-Recommends: fish, python (>= 2.7)
+Depends: libjs-jquery, ${misc:Depends}
+Recommends: fish, python
 Replaces: fish (<= 2.1.1.dfsg-2)
 Description: friendly interactive shell (architecture-independent files)
  Fish is a shell geared towards interactive use.  Its features are focused on

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,17 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+CFLAGS+=$(CPPFLAGS)
+CXXFLAGS+=$(CPPFLAGS)
+
 %:
 	dh $@ --with autotools-dev,autoreconf --parallel
+
+override_dh_auto_configure:
+	dh_auto_configure -- --without-included-pcre2
 
 override_dh_strip:
 	dh_strip --dbg-package=fish-dbg

## fish 2.6.0

=== debian/changelog ===
fish (2.6.0-1) unstable; urgency=medium

  * New upstream release.
    - ifconfig completion no longer changes cwd (closes: #859314).
    - Refresh quilt patches.
  * Depend on man-db as the completion system uses apropos
    (closes: #857630).
  * Drop fish-dbg and migrate to automatic -dbgsym packages.
  * Bump Standards-Version to 4.0.0 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 14 Jul 2017 08:12:37 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libncurses5-dev,
  libpcre2-dev,
  quilt,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://fishshell.com/
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/fish.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/fish.git
@@ -27,6 +27,7 @@
  bc,
  fish-common (= ${source:Version}),
  lynx | www-browser,
+ man-db,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends: xsel
@@ -48,16 +49,3 @@
  incompatible with other shell languages.
  .
  This package contains the common fish files shared by all architectures.
-
-Package: fish-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: fish (= ${binary:Version}), ${misc:Depends}
-Pre-Depends: dpkg (>= 1.17.14)
-Description: friendly interactive shell (debugging symbols)
- Fish is a shell geared towards interactive use.  Its features are focused on
- user friendliness and discoverability.  The language syntax is simple but
- incompatible with other shell languages.
- .
- This package contains gdb debugging symbols for the fish package.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh_auto_configure -- --without-included-pcre2
 
 override_dh_strip:
-	dh_strip --dbg-package=fish-dbg
+	dh_strip --dbgsym-migration='fish-dbg (<< 2.4.0-1~)'
 
 # Don't run tests; they don't work until fish is installed
 override_dh_auto_test:

## fish 2.6.0-553-g1590bd15

=== debian/changelog ===
fish (2.6.0-553-g1590bd15-1~unstable) unstable; urgency=medium

  * Snapshot build from 1590bd15

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Fri, 25 Aug 2017 10:00:19 +0800

fish (2.2b1-1) testing; urgency=low

  * Release of new beta version 2.2b1.

  See http://fishshell.com/staging/release_notes.html for significant
  changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Thu, 07 May 2015 14:48:21 +0800

fish (2.1.1-1) unstable; urgency=high

  * Release of new version 2.1.1.

    See http://fishshell.com/release_notes.html for significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sun, 07 Sep 2014 17:06:31 +0800

fish (2.1.0-1) unstable; urgency=low

  * Release of new version 2.1.0.

    See http://fishshell.com/staging/release_notes.html for significant
    changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sat, 19 Oct 2013 14:35:23 +0800

fish (2.0.0-0) unstable; urgency=low

  * Initial release of fish 2.0.0.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Thu, 19 Jul 2012 23:17:58 +0800

=== debian/control ===
Source: fish
Section: shells
Priority: extra
Maintainer: ridiculous_fish <corydoras@ridiculousfish.com>
Uploaders: David Adam <zanchey@ucc.gu.uwa.edu.au>
Build-Depends: debhelper (>= 9.0.0), libncurses5-dev, autoconf, autotools-dev, dh-autoreconf, gettext
# When libpcre2-dev is available on all supported Debian versions, add a dependency on that.
Standards-Version: 3.9.4
Homepage: https://fishshell.com/
Vcs-Git: https://github.com/fish-shell/fish-shell.git
Vcs-Browser: https://github.com/fish-shell/fish-shell

Package: fish
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fish-common (= ${source:Version}), passwd (>= 4.0.3-10), bc, gettext-base, man-db
Recommends: xsel (>=1.2.0)
Description: friendly interactive shell
 Fish is a command-line shell for modern systems, focusing on user-friendliness,
 sensibility and discoverability in interactive use. The syntax is simple, but
 not POSIX compliant.

Package: fish-common
Architecture: all
Depends: ${misc:Depends}
Recommends: fish, python (>=2.6)
Suggests: xdg-utils
Replaces: fish (<= 2.1.1.dfsg-2)
Description: friendly interactive shell (architecture-independent files)
 Fish is a command-line shell for modern systems, focusing on user-friendliness,
 sensibility and discoverability in interactive use. The syntax is simple, but
 not POSIX compliant.
 .
 This package contains the common fish files shared by all architectures.

Package: fish-dbg
Architecture: any
Section: debug
Priority: extra
Depends: fish (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for friendly interactive shell
 Fish is a command-line shell for modern systems, focusing on user-friendliness,
 sensibility and discoverability in interactive use. The syntax is simple, but
 not POSIX compliant.
 .
 This package contains the debugging symbols for fish.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with autotools-dev,autoreconf

override_dh_installdocs:
	dh_installdocs --link-doc=fish

# Still needed until all platforms have debhelper 9.20151219
# Consider transitioning https://wiki.debian.org/DebugPackage
override_dh_strip:
	dh_strip --dbg-package=fish-dbg

# Don't run tests; they don't work until fish is installed
override_dh_auto_test:

## fish 2.7.1

=== debian/changelog ===
fish (2.7.1-3~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert to debhelper 10 to ease backports.
  * Disable big automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 17 Oct 2018 12:57:55 -0700

fish (2.7.1-3) unstable; urgency=medium

  * Disable the test suite again until the failures are resolved.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 17 Feb 2018 03:19:00 +0200

fish (2.7.1-2) unstable; urgency=medium

  * Replace $(PWD) with $(CURDIR) in Makefile.am (closes: #887524)
    (hopefully!)

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 17 Jan 2018 20:06:59 +0200

fish (2.7.1-1) unstable; urgency=medium

  * Move to salsa.debian.org.
  * New upstream release.
  * Bump Standards-Version to 4.1.3 (no changes).
  * Update to dh compat 11.
  * Fix maintscript syntax.
  * Run test suite.
  * Add autopkgtests.
  * Drop pointless Recommends: python in fish-common.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 11 Jan 2018 06:55:29 +0200

fish (2.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/reproducible-doc-toc (equivalent changes included
    upstream).
  * Depend on python3 for completions support (closes: #882996).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 17 Dec 2017 11:55:59 +0200

fish (2.6.0-2) unstable; urgency=medium

  * Drop patches/reproducible-doxyfile as this is no longer needed (and
    also wrong, as it was was refreshed incorrectly at some point).
  * Show commands run during the build (closes: #881251); thanks to Sven
    Joachim for the patch.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 13 Nov 2017 06:14:48 +0200

=== debian/control ===
Source: fish
Section: shells
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Tristan Seligmann <mithrandi@debian.org>
Build-Depends:
 autoconf,
 automake,
 bc,
 bsdmainutils,
 debhelper (>= 10),
 doxygen,
 expect,
 gettext,
 groff-base,
 libncurses5-dev,
 libpcre2-dev,
 locales-all,
 procps,
 quilt,
Standards-Version: 4.1.3
Homepage: http://fishshell.com/
Vcs-Browser: https://salsa.debian.org/debian/fish.git
Vcs-Git: https://salsa.debian.org/debian/fish.git

Package: fish
Architecture: any
Depends:
 bc,
 fish-common (= ${source:Version}),
 lynx | www-browser,
 man-db,
 python3,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: xsel
Suggests: doc-base
Pre-Depends: dpkg (>= 1.17.14)
Description: friendly interactive shell
 Fish is a shell geared towards interactive use.  Its features are focused on
 user friendliness and discoverability.  The language syntax is simple but
 incompatible with other shell languages.

Package: fish-common
Architecture: all
Depends: libjs-jquery, ${misc:Depends}
Recommends: fish
Replaces: fish (<= 2.1.1.dfsg-2)
Description: friendly interactive shell (architecture-independent files)
 Fish is a shell geared towards interactive use.  Its features are focused on
 user friendliness and discoverability.  The language syntax is simple but
 incompatible with other shell languages.
 .
 This package contains the common fish files shared by all architectures.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

export TERM=xterm
export LC_ALL=C.UTF-8

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- --without-included-pcre2

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_test:
# Test suite is not passing on 32-bit arches.
#	dh_auto_test --no-parallel

# The upstream CHANGELOG file is useless, don't install it
override_dh_installchangelogs:
	dh_installchangelogs -XCHANGELOG

## fish 3.0.2

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.2)

IF(POLICY CMP0066)
  CMAKE_POLICY(SET CMP0066 OLD)
ENDIF()
IF(POLICY CMP0067)
  CMAKE_POLICY(SET CMP0067 OLD)
ENDIF()

PROJECT(fish)

# We are C++11.
SET(CMAKE_CXX_STANDARD 11)
SET(CMAKE_CXX_FLAGS_DEBUG "-O0 -g")
SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O2 -g")
SET(CMAKE_CXX_FLAGS_RELEASE "-O2")
SET(DEFAULT_BUILD_TYPE "RelWithDebInfo")

IF(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    MESSAGE(STATUS "Setting build type to default '${DEFAULT_BUILD_TYPE}'")
    SET(CMAKE_BUILD_TYPE "${DEFAULT_BUILD_TYPE}")
ENDIF()

# Force colored warnings in Ninja's output, if the compiler has -fdiagnostics-color support.
# Rationale in https://github.com/ninja-build/ninja/issues/814
if (CMAKE_GENERATOR STREQUAL "Ninja" AND
    ((CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.9) OR
     (CMAKE_CXX_COMPILER_ID STREQUAL "Clang" AND NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 3.5) OR
     (CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang" AND NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 6.0)))
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fdiagnostics-color=always")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fdiagnostics-color=always")
endif()

# Disable exception handling.
ADD_COMPILE_OPTIONS(-fno-exceptions)

# Hide the CMake Rules directories in Xcode projects.
SOURCE_GROUP("CMake Rules" REGULAR_EXPRESSION "^$")

# Put source and header files at top level under targets.
SOURCE_GROUP("Source Files" REGULAR_EXPRESSION "^$")
SOURCE_GROUP("Header Files" REGULAR_EXPRESSION "^$")
SOURCE_GROUP("Builtins" REGULAR_EXPRESSION "builtin_.*")

# Support folders.
SET_PROPERTY(GLOBAL PROPERTY USE_FOLDERS ON)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")

IF(CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR)
  SET(FISH_IN_TREE_BUILD TRUE)
ELSE()
  SET(FISH_IN_TREE_BUILD FALSE)
ENDIF()

# All objects that the system needs to build fish, except fish.cpp
SET(FISH_SRCS
    src/autoload.cpp src/builtin.cpp src/builtin_bg.cpp src/builtin_bind.cpp
    src/builtin_block.cpp src/builtin_builtin.cpp src/builtin_cd.cpp
    src/builtin_command.cpp src/builtin_commandline.cpp
    src/builtin_complete.cpp src/builtin_contains.cpp src/builtin_disown.cpp
    src/builtin_echo.cpp src/builtin_emit.cpp src/builtin_exit.cpp
    src/builtin_fg.cpp src/builtin_function.cpp src/builtin_functions.cpp
    src/builtin_argparse.cpp src/builtin_history.cpp src/builtin_jobs.cpp
    src/builtin_math.cpp src/builtin_printf.cpp src/builtin_pwd.cpp
    src/builtin_random.cpp src/builtin_read.cpp src/builtin_realpath.cpp
    src/builtin_return.cpp src/builtin_set.cpp src/builtin_set_color.cpp
    src/builtin_source.cpp src/builtin_status.cpp src/builtin_string.cpp
    src/builtin_test.cpp src/builtin_ulimit.cpp src/builtin_wait.cpp
    src/color.cpp src/common.cpp src/complete.cpp src/env.cpp
    src/env_universal_common.cpp src/event.cpp src/exec.cpp src/expand.cpp
    src/fallback.cpp src/fish_version.cpp src/function.cpp src/highlight.cpp
    src/history.cpp src/input.cpp src/input_common.cpp src/intern.cpp src/io.cpp
    src/iothread.cpp src/kill.cpp src/output.cpp src/pager.cpp
    src/parse_execution.cpp src/parse_productions.cpp src/parse_tree.cpp
    src/parse_util.cpp src/parser.cpp src/parser_keywords.cpp src/path.cpp
    src/postfork.cpp src/proc.cpp src/reader.cpp src/sanity.cpp src/screen.cpp
    src/signal.cpp src/tinyexpr.c src/tnode.cpp src/tokenizer.cpp src/utf8.cpp src/util.cpp
    src/wcstringutil.cpp src/wgetopt.cpp src/wildcard.cpp src/wutil.cpp
    src/future_feature_flags.cpp
)

# Header files are just globbed.
FILE(GLOB FISH_HEADERS src/*.h)

# Set up config.h
INCLUDE(cmake/ConfigureChecks.cmake)
INCLUDE(cmake/gettext.cmake)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config_cmake.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

# Set up standard directories.
INCLUDE(GNUInstallDirs)
ADD_DEFINITIONS(-D_UNICODE=1
                -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
                -DPREFIX=L"${CMAKE_INSTALL_PREFIX}"
                -DDATADIR=L"${CMAKE_INSTALL_FULL_DATADIR}"
                -DSYSCONFDIR=L"${CMAKE_INSTALL_FULL_SYSCONFDIR}"
                -DBINDIR=L"${CMAKE_INSTALL_FULL_BINDIR}"
                -DDOCDIR=L"${CMAKE_INSTALL_FULL_DOCDIR}")

# Set up the machinery around FISH-BUILD-VERSION-FILE
# This defines the FBVF variable.
INCLUDE(Version)

# Let fish pick up when we're running out of the build directory without installing
ADD_DEFINITIONS(-DCMAKE_BINARY_DIR="${CMAKE_BINARY_DIR}")
ADD_DEFINITIONS(-DCMAKE_SOURCE_DIR="${CMAKE_SOURCE_DIR}")

# Teach fish_version.o to rebuild when FBVF changes.
# The standard C++ include detection machinery misses this.
SET_SOURCE_FILES_PROPERTIES(src/fish_version.cpp
                            PROPERTIES OBJECT_DEPENDS
                            ${CMAKE_CURRENT_BINARY_DIR}/${FBVF})

OPTION(INTERNAL_WCWIDTH "use fallback wcwidth" ON)
IF(INTERNAL_WCWIDTH)
    add_definitions(-DHAVE_BROKEN_WCWIDTH=1)
ELSE()
    add_definitions(-DHAVE_BROKEN_WCWIDTH=0)
ENDIF()

# Set up PCRE2
INCLUDE(cmake/PCRE2.cmake)

# Set up the docs.
INCLUDE(cmake/Docs.cmake)

# Define a function to link dependencies.
FUNCTION(FISH_LINK_DEPS target)
  TARGET_LINK_LIBRARIES(${target} fishlib)
ENDFUNCTION(FISH_LINK_DEPS)

# Define libfish.a.
ADD_LIBRARY(fishlib STATIC ${FISH_SRCS})
TARGET_SOURCES(fishlib PRIVATE ${FISH_HEADERS})
TARGET_LINK_LIBRARIES(fishlib
  ${CURSES_LIBRARY} ${CURSES_EXTRA_LIBRARY} Threads::Threads ${CMAKE_DL_LIBS}
  ${PCRE2_LIB} ${Intl_LIBRARIES})

# Define fish.
ADD_EXECUTABLE(fish src/fish.cpp)
FISH_LINK_DEPS(fish)

# Define fish_indent.
ADD_EXECUTABLE(fish_indent
               src/fish_indent.cpp src/print_help.cpp)
FISH_LINK_DEPS(fish_indent)

# Define fish_key_reader.
ADD_EXECUTABLE(fish_key_reader
               src/fish_key_reader.cpp src/print_help.cpp)
FISH_LINK_DEPS(fish_key_reader)

# Set up tests.
INCLUDE(cmake/Tests.cmake)

# Set up install.
INCLUDE(cmake/Install.cmake)

INCLUDE(FeatureSummary)
FEATURE_SUMMARY(WHAT ALL)

=== pcre2-10.22/CMakeLists.txt ===
--- 
+++ 
@@ -190,7 +190,7 @@
 ENDIF(MINGW)
 
 IF(MSVC)
-  OPTION(PCRE_STATIC_RUNTIME OFF CACHE BOOL
+  OPTION(PCRE_STATIC_RUNTIME
 	"ON=Compile against the static runtime (/MT)."
 	OFF)
   OPTION(INSTALL_MSVC_PDB
@@ -302,3 +302,4 @@
 # libedit is a plug-compatible alternative to libreadline
 
 IF(PCRE2_SUPPORT_LIBEDIT)
+        SET(SUPPORT_LIBEDIT 1)

=== debian/changelog ===
fish (3.0.2-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 20 May 2019 06:43:18 +0000

fish (3.0.2-2) unstable; urgency=medium

  * Discard stderr message from systemd 241 when doing completion.
    (Closes: #925308)

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 26 Mar 2019 13:16:52 +0000

fish (3.0.2-1) unstable; urgency=medium

  * New upstream version 3.0.2

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 23 Feb 2019 01:04:26 +0000

fish (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1
  * Remove the differential patch between 3.0.0 and 3.0.1(snapshot).

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 11 Feb 2019 16:38:38 +0000

fish (3.0.0-2) unstable; urgency=medium

  * Import increment patch from 3.0.0 to 3.0.1~git.c9e5299.
  * Remove duplicated changelog file.
  * Update lintian overrides.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 07 Feb 2019 02:02:53 +0000

fish (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0
  * ITS: Append myself to Uploaders. (Closes: #918476)
  * Remove --parallel from rules since it's the default for compat 11.
  * Refresh existing patches.
  * Move upstream README.md from fish-common to fish.
  * Remove the installchangelog override and install changelog.
  * Bump Standards-Version to 4.3.0 (no change).
  * Use canonical URL in Vcs-Browser field.
  * Remove dh_strip override since debug-symbol-migration is complete.
  * NEWS: fish 3 introduced some breaking change.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 09 Jan 2019 02:55:53 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

export TERM=xterm
export LC_ALL=C.UTF-8

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --without-included-pcre2

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_test:
# Test suite is not passing on 32-bit arches.
#	dh_auto_test --no-parallel

override_dh_auto_install:
	dh_auto_install
	-find debian/tmp -type f -name CHANGELOG.md -delete
